6.9. Wydobywanie napisów z DVD do pliku VOBsub
Poprzedni | Rozdział 6. Podstawy używania MEncodera | Następny

## 6.9. Wydobywanie napisów z DVD do pliku VOBsub

MEncoder jest w stanie wyciągnąć napisy z DVD do pliku w formacie VOBsub. Tworzy je para plików z rozszerzeniem `.idx` i `.sub`, które są zazwyczaj spakowane do pojedyńczego archiwum `.rar`. MPlayer może je odtwarzać z opcjami `-vobsub` i `-vobsubid`.

Podajesz nazwę bazową (tzn. bez rozszerzenia `.idx` lub `.sub`) pliku wyjściowego opcją `-vobsubout` oraz indeks dla tego pliku opcją `-vobsuboutindex`.

Jeżeli źródłem nie jest DVD powinieneś użyć opcji `-ifo`, aby wskazać plik `.ifo` potrzebny do stworzenia pliku wynikowego `.idx`.

Jeżeli źródłem nie jest DVD i nie masz pliku `.ifo`, będziesz musiał użyć opcji `-vobsubid`, aby podać id języka, które będzie umieszczone w pliku `.idx`.

Każde uruchomienie dołączy do istniejących napisów, jeżeli pliki `.idx` i `.sub` istnieją. Powinieneś więc usunąć je przed uruchomieniem.

Przykład 6.5. Kopiowanie dwóch napisów z DVD podczas dwu-przebiegowego kodowania

    rm napisy.idx napisy.sub
    mencoder dvd://1 -oac copy -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 \
        -vobsubout napisy -vobsuboutindex 0 -sid 2
    mencoder dvd://1 -oac copy -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
        -vobsubout napisy -vobsuboutindex 1 -sid 5

Przykład 6.6. Kopiowanie francuskich napisów z pliku MPEG

    rm napisy.idx napisy.sub
    mencoder film.mpg -ifo film.ifo -vobsubout napisy -vobsuboutindex 0 \
        -vobsuboutid fr -sid 1 -nosound -ovc copy

Poprzedni | Początek rozdziału | Następny
6.8. Kodowanie z wielu wejściowych plików obrazkowych (JPEG, PNG, TGA itp.) | Spis treści | 6.10. Utrzymywanie proporcji obrazu (aspect ratio)